Bug 1849176 - Builds fail after running postCommit script if OCP cluster is configured with a container registry whitelist
Summary: Builds fail after running postCommit script if OCP cluster is configured with...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.2.z
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 4.3.z
Assignee: Adam Kaplan
QA Contact: wewang
URL:
Whiteboard:
Depends On: 1849174
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-19 18:35 UTC by OpenShift BugZilla Robot
Modified: 2020-10-20 21:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the container image signature policy that was used in builds did not contain any configuration for local images. As a result, when customers only allowed images from specific registries, `postCommit` scripts in builds failed because they could not use local images. With this release, container image signature policy is updated to always allow images that reference local storage layers directly so that builds that contain a `postCommit` hook can complete successfully.
Clone Of:
Environment:
Last Closed: 2020-10-20 21:56:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-controller-manager pull 132 0 None closed [release-4.3] Bug 1849176: Allow image push after postCommit script completes 2020-10-19 17:45:45 UTC
Github openshift openshift-controller-manager pull 134 0 None closed Bug 1849176: Revert "Remove unnecessary yum install" 2020-10-19 17:45:58 UTC
Red Hat Product Errata RHSA-2020:4264 0 None None None 2020-10-20 21:56:31 UTC

Comment 10 errata-xmlrpc 2020-10-20 21:56:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Low: OpenShift Container Platform 4.3.40 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4264


Note You need to log in before you can comment on or make changes to this bug.